//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package nc.vo.cm.meascostcontrast;

import nc.bd.framework.base.CMStringUtil;
import nc.vo.pub.SuperVO;
import nc.vo.pub.lang.UFDouble;

public class MeasCostQueryResultVO extends SuperVO {
    private static final long serialVersionUID = 1L;
    private String pk_accbook;
    private String bookname;
    private String pk_org;
    private String orgname;
    private String pk_profitcenter;
    private String profitcentername;
    private String cccode;
    private String ccname;
    private String vcostobjcode;
    private String vcostobjname;
    private String vcostobjname0;
    private UFDouble nnum;
    private UFDouble nmeascost;
    private UFDouble nsum;
    private String factorcode;
    private String factorname;
    private String factorname0;
    private UFDouble factorNsum;
    private String bsubtype;
    private String bfromcostcenter;
    private UFDouble nstdcostNmeascost;
    private UFDouble nnumdiffNmeascost;
    private UFDouble npricediffNmeascost;
    private UFDouble nstdcostNsum;
    private UFDouble nnumdiffNsum;
    private UFDouble npricediffNsum;
    private UFDouble nstdcostFactor;
    private UFDouble nnumdiffFactor;
    private UFDouble npricediffFactor;
    private String factorLev;
    private String pk_factorasoa;
    private String measdocname;
    private Integer bitnumber;
    private String materialspec;
    private String materialtype;
    private String isSumCccode;
    /**
     * 项目编码
     */
    private String projectcode;

    /**
     * 项目名称
     */
    private String projectname;

    public MeasCostQueryResultVO() {
    }

    public String getIsSumCccode() {
        return this.isSumCccode;
    }

    public void setIsSumCccode(String isSumCccode) {
        this.isSumCccode = isSumCccode;
    }

    public String getMeasdocname() {
        return this.measdocname;
    }

    public void setMeasdocname(String measdocname) {
        this.measdocname = measdocname;
    }

    public Integer getBitnumber() {
        return this.bitnumber;
    }

    public void setBitnumber(Integer bitnumber) {
        this.bitnumber = bitnumber;
    }

    public String getMaterialspec() {
        return this.materialspec;
    }

    public void setMaterialspec(String materialspec) {
        this.materialspec = materialspec;
    }

    public String getMaterialtype() {
        return this.materialtype;
    }

    public void setMaterialtype(String materialtype) {
        this.materialtype = materialtype;
    }

    public String getPK_factorasoa() {
        return this.pk_factorasoa;
    }

    public void setPK_factorasoa(String pk_factorasoa) {
        this.pk_factorasoa = pk_factorasoa;
    }

    public String getFactorLev() {
        return this.factorLev;
    }

    public void setFactorLev(String factorLev) {
        this.factorLev = factorLev;
    }

    public String getCccode() {
        return this.cccode;
    }

    public void setCccode(String vcostcentercode) {
        this.cccode = vcostcentercode;
    }

    public String getCcname() {
        return this.ccname;
    }

    public void setCcname(String vcostcentername) {
        this.ccname = vcostcentername;
    }

    public String getVcostobjcode() {
        return this.vcostobjcode;
    }

    public void setVcostobjcode(String vcostobjcode) {
        this.vcostobjcode = vcostobjcode;
    }

    public String getVcostobjname() {
        return CMStringUtil.isNotEmpty(this.vcostobjname) ? this.vcostobjname : this.vcostobjname0;
    }

    public void setVcostobjname(String vcostobjname) {
        this.vcostobjname = vcostobjname;
    }

    public String getVcostobjname0() {
        return this.vcostobjname0;
    }

    public void setVcostobjname0(String vcostobjname0) {
        this.vcostobjname0 = vcostobjname0;
    }

    public UFDouble getNnum() {
        return this.nnum;
    }

    public void setNnum(UFDouble nnum) {
        this.nnum = nnum;
    }

    public UFDouble getNmeascost() {
        return this.nmeascost;
    }

    public void setNmeascost(UFDouble nmeascost) {
        this.nmeascost = nmeascost;
    }

    public UFDouble getNsum() {
        return this.nsum;
    }

    public void setNsum(UFDouble nsum) {
        this.nsum = nsum;
    }

    public String getFactorcode() {
        return this.factorcode;
    }

    public void setFactorcode(String factorcode) {
        this.factorcode = factorcode;
    }

    public String getFactorname() {
        return CMStringUtil.isNotEmpty(this.factorname) ? this.factorname : this.factorname0;
    }

    public void setFactorname(String factorname) {
        this.factorname = factorname;
    }

    public String getFactorname0() {
        return this.factorname0;
    }

    public void setFactorname0(String factorname0) {
        this.factorname0 = factorname0;
    }

    public UFDouble getFactorNsum() {
        return this.factorNsum;
    }

    public void setFactorNsum(UFDouble factorNsum) {
        this.factorNsum = factorNsum;
    }

    public String getBsubtype() {
        return this.bsubtype;
    }

    public void setBsubtype(String bsubtype) {
        this.bsubtype = bsubtype;
    }

    public String getBfromcostcenter() {
        return this.bfromcostcenter;
    }

    public void setBfromcostcenter(String bfromcostcenter) {
        this.bfromcostcenter = bfromcostcenter;
    }

    public UFDouble getNstdcostNmeascost() {
        return this.nstdcostNmeascost;
    }

    public void setNstdcostNmeascost(UFDouble nstdcostNmeascost) {
        this.nstdcostNmeascost = nstdcostNmeascost;
    }

    public UFDouble getNnumdiffNmeascost() {
        return this.nnumdiffNmeascost;
    }

    public void setNnumdiffNmeascost(UFDouble nnumdiffNmeascost) {
        this.nnumdiffNmeascost = nnumdiffNmeascost;
    }

    public UFDouble getNpricediffNmeascost() {
        return this.npricediffNmeascost;
    }

    public void setNpricediffNmeascost(UFDouble npricediffNmeascost) {
        this.npricediffNmeascost = npricediffNmeascost;
    }

    public UFDouble getNstdcostNsum() {
        return this.nstdcostNsum;
    }

    public void setNstdcostNsum(UFDouble nstdcostNsum) {
        this.nstdcostNsum = nstdcostNsum;
    }

    public UFDouble getNnumdiffNsum() {
        return this.nnumdiffNsum;
    }

    public void setNnumdiffNsum(UFDouble nnumdiffNsum) {
        this.nnumdiffNsum = nnumdiffNsum;
    }

    public UFDouble getNpricediffNsum() {
        return this.npricediffNsum;
    }

    public void setNpricediffNsum(UFDouble npricediffNsum) {
        this.npricediffNsum = npricediffNsum;
    }

    public UFDouble getNstdcostFactor() {
        return this.nstdcostFactor;
    }

    public void setNstdcostFactor(UFDouble nstdcostFactor) {
        this.nstdcostFactor = nstdcostFactor;
    }

    public UFDouble getNnumdiffFactor() {
        return this.nnumdiffFactor;
    }

    public void setNnumdiffFactor(UFDouble nnumdiffFactor) {
        this.nnumdiffFactor = nnumdiffFactor;
    }

    public UFDouble getNpricediffFactor() {
        return this.npricediffFactor;
    }

    public void setNpricediffFactor(UFDouble npricediffFactor) {
        this.npricediffFactor = npricediffFactor;
    }

    public String getBookname() {
        return this.bookname;
    }

    public void setBookname(String bookname) {
        this.bookname = bookname;
    }

    public String getOrgname() {
        return this.orgname;
    }

    public void setOrgname(String orgname) {
        this.orgname = orgname;
    }

    public String getProfitcentername() {
        return this.profitcentername;
    }

    public void setProfitcentername(String profitcentername) {
        this.profitcentername = profitcentername;
    }

    public String getPk_accbook() {
        return this.pk_accbook;
    }

    public void setPk_accbook(String pk_accbook) {
        this.pk_accbook = pk_accbook;
    }

    public String getPk_org() {
        return this.pk_org;
    }

    public void setPk_org(String pk_org) {
        this.pk_org = pk_org;
    }

    public String getPk_profitcenter() {
        return this.pk_profitcenter;
    }

    public void setPk_profitcenter(String pk_profitcenter) {
        this.pk_profitcenter = pk_profitcenter;
    }


    public String getProjectcode() {
        return projectcode;
    }

    public void setProjectcode(String projectcode) {
        this.projectcode = projectcode;
    }

    public String getProjectname() {
        return projectname;
    }

    public void setProjectname(String projectname) {
        this.projectname = projectname;
    }
}
